__gnu_parallel::__adjacent_difference_selector< _It > Struct Template Reference
Inheritance diagram for __gnu_parallel::__adjacent_difference_selector< _It >:
[legend]

## Public Member Functions

template<typename _Op >
bool | operator() (_Op &__o, _It __i)

## Public Attributes

_It | _M_finish_iterator

## Detailed Description

### template<typename _It>
struct __gnu_parallel::__adjacent_difference_selector< _It >

Selector that returns the difference between two adjacent __elements.

Definition at line 269 of file for_each_selectors.h.

## Member Data Documentation

## _M_finish_iterator

template<typename _It >

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

inherited

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h